<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.test.ui"
   name="%PLUGIN_NAME"
   version="3.0.0"
   provider-name="%PROVIDER_NAME"
   class="org.eclipse.hyades.test.ui.TestUIPlugin">

   <runtime>
      <library name="hyades.test.ui.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.test.ui.internal,org.eclipse.hyades.test.ui"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.xsd"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.hyades.models.hierarchy"/>
      <import plugin="org.eclipse.hyades.models.common" export="true"/>
      <import plugin="org.eclipse.hyades.ui" export="true"/>
      <import plugin="org.eclipse.hyades.execution.harness"/>
      <import plugin="org.eclipse.hyades.execution.core"/>
      <import plugin="org.eclipse.hyades.execution.local"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.jdt.ui"/>
      <import plugin="org.eclipse.jdt.core"/>
      <import plugin="org.eclipse.hyades.test.ui.datapool"/>
      <import plugin="org.eclipse.debug.core"/>
      <import plugin="org.eclipse.debug.ui"/>
      <import plugin="org.eclipse.hyades.trace.ui"/>
      <import plugin="org.eclipse.core.expressions"/>
   </requires>


   <extension-point id="newTestCaseWizards" name="%EP_NEW_TST_CASE" schema="schema/newTestCaseWizards.exsd"/>
   <extension-point id="generateWizards" name="%EP_GEN_WIZS" schema="schema/generateWizards.exsd"/>
   <extension-point id="runWizards" name="%EP_RUN_WIZS" schema="schema/runWizards.exsd"/>
   <extension-point id="configurableObjectExtension" name="%ConfigurableObjectExtensionPage" schema="schema/configurableObjectExtension.exsd"/>
   <extension-point id="testNavigatorFile" name="testNavitorFile" schema="schema/testNavigatorFile.exsd"/>
   <extension-point id="testNavigatorObject" name="testNavigatorObject" schema="schema/testNavigatorObject.exsd"/>
   <extension-point id="testNavigatorFilter" name="testNavigatorFilter" schema="schema/testNavigatorFilter.exsd"/>
   <extension-point id="testNavigatorType" name="testNavigatorType" schema="schema/testNavigatorType.exsd"/>
   <extension-point id="runHandler" name="Launch Configuration Run Handler" schema="schema/runHandler.exsd"/>
   <extension-point id="launchableType" name="Launch Configuration Launchable Type" schema="schema/launchableType.exsd"/>
   <extension-point id="executionHistoryDefaults" name="Execution History Defaults Provider" schema="schema/executionHistoryDefaults.exsd"/>
   <extension-point id="deploymentProvider" name="Launch Configuration Deployment Provider" schema="schema/deploymentProvider.exsd"/>
   <extension-point id="executionHistoryExtension" name="Execution History Extension" schema="schema/executionHistoryExtension.exsd"/>

   <extension
         point="org.eclipse.ui.newWizards">
      <category
            name="%W_TEST"
            id="org.eclipse.hyades.test.ui.wizards.new">
      </category>
      <category
            name="%W_TST_ELEMENTS"
            parentCategory="org.eclipse.hyades.test.ui.wizards.new"
            id="testElements">
      </category>
      <category
            name="%W_TST_SUITE"
            parentCategory="org.eclipse.hyades.test.ui.wizards.new"
            id="testSuite">
      </category>
      <wizard
            name="%W_DEPLOYMENT"
            icon="icons/full/ctool16/newdeployment_wiz.gif"
            category="org.eclipse.hyades.test.ui.wizards.new/testElements"
            class="org.eclipse.hyades.test.ui.internal.wizard.DeploymentNewWizard"
            id="org.eclipse.hyades.test.ui.internal.wizard.DeploymentNewWizard">
         <description>
            %WIZ_NEW_DEPLOY_DSC
         </description>
      </wizard>
      <wizard
            name="%W_DATAPOOL"
            icon="icons/full/ctool16/newdatapool_wiz.gif"
            category="org.eclipse.hyades.test.ui.wizards.new/testElements"
            class="org.eclipse.hyades.test.ui.internal.wizard.DatapoolNewWizard"
            id="org.eclipse.hyades.test.ui.internal.wizard.DatapoolNewWizard">
         <description>
            %WIZ_NEW_DATAPOOL_DSC
         </description>
      </wizard>
      <wizard
            name="%W_LOCATION"
            icon="icons/full/ctool16/newlocation_wiz.gif"
            category="org.eclipse.hyades.test.ui.wizards.new/testElements"
            class="org.eclipse.hyades.test.ui.internal.wizard.LocationNewWizard"
            id="org.eclipse.hyades.test.ui.internal.wizard.LocationNewWizard">
         <description>
            %WIZ_NEW_LOCATION_DSC
         </description>
      </wizard>
      <wizard
            name="%W_ARTIFACT"
            icon="icons/full/ctool16/newartifact_wiz.gif"
            category="org.eclipse.hyades.test.ui.wizards.new/testElements"
            class="org.eclipse.hyades.test.ui.internal.wizard.ArtifactNewWizard"
            id="org.eclipse.hyades.test.ui.internal.wizard.ArtifactNewWizard">
         <description>
            %WIZ_NEW_ARTIFACT_DSC
         </description>
      </wizard>
      <wizard
            name="%W_TST_CASE"
            icon="icons/full/obj16/testcase_obj.gif"
            category="org.eclipse.hyades.test.ui.wizards.new/testElements"
            class="org.eclipse.hyades.test.ui.internal.wizard.TestCaseNewWizard"
            id="org.eclipse.hyades.test.ui.internal.wizard.TestCaseNewWizard">
         <description>
            %WIZ_TST_CASE_DSC
         </description>
      </wizard>
   </extension>
   <extension
         point="org.eclipse.ui.editors">
      <editor
            name="%EDT_TST_SUITE_TTL"
            icon="icons/full/obj16/testsuite_obj.gif"
            extensions="testsuite"
            class="org.eclipse.hyades.test.ui.internal.editor.TestSuiteEditorPart"
            id="org.eclipse.hyades.test.ui.editor.TestSuiteEditorPart">
      </editor>
      <editor
            name="%EDT_DEPLOY_TTL"
            icon="icons/full/obj16/deployment_obj.gif"
            extensions="deploy"
            class="org.eclipse.hyades.test.ui.internal.editor.DeploymentEditorPart"
            id="org.eclipse.hyades.test.ui.editor.DeploymentEditorPart">
      </editor>
      <editor
            name="%EDT_EXEC_TTL"
            icon="icons/full/obj16/execution_obj.gif"
            extensions="execution"
            class="org.eclipse.hyades.test.ui.internal.editor.ExecutionEditorPart"
            id="org.eclipse.hyades.test.ui.editor.ExecutionEditorPart">
      </editor>
      <editor
            name="%EDT_DATAPOOL_TTL"
            icon="icons/full/obj16/datapool_obj.gif"
            extensions="datapool"
            class="org.eclipse.hyades.test.ui.internal.editor.DatapoolEditorPart"
            id="org.eclipse.hyades.test.ui.editor.DatapoolEditorPart">
      </editor>
      <editor
            name="%EDT_LOCATION_TTL"
            icon="icons/full/obj16/location_obj.gif"
            extensions="location"
            class="org.eclipse.hyades.test.ui.internal.editor.LocationEditorPart"
            id="org.eclipse.hyades.test.ui.editor.LocationEditorPart">
      </editor>
      <editor
            name="%EDT_ARTIFACT_TTL"
            icon="icons/full/obj16/artifact_obj.gif"
            extensions="artifact"
            class="org.eclipse.hyades.test.ui.internal.editor.ArtifactEditorPart"
            id="org.eclipse.hyades.test.ui.editor.ArtifactEditorPart">
      </editor>
   </extension>
   <extension
         point="org.eclipse.hyades.ui.editorExtensions">
      <editorExtension
            name="%EDT_DEPLOY_TTL"
            description="%EDT_DEPLOY_DSC"
            class="org.eclipse.hyades.test.ui.internal.editor.extension.DeploymentEditorExtension"
            id="org.eclipse.hyades.test.ui.editor.extension.Deployment"
            extension="deploy">
      </editorExtension>
      <editorExtension
            name="%EDT_EXEC_TTL"
            description="%EDT_EXEC_DSC"
            class="org.eclipse.hyades.test.ui.internal.editor.extension.ExecutionEditorExtension"
            id="org.eclipse.hyades.test.ui.editor.extension.Execution"
            extension="execution">
      </editorExtension>
      <editorExtension
            name="%EDT_DATAPOOL_TTL"
            description="%EDT_DATA_DSC"
            class="org.eclipse.hyades.test.ui.internal.editor.extension.DatapoolEditorExtension"
            id="org.eclipse.hyades.test.ui.editor.extension.Datapool"
            extension="datapool">
      </editorExtension>
      <editorExtension
            name="%EDT_LOCATION_TTL"
            description="%EDT_LOCATION_DSC"
            class="org.eclipse.hyades.test.ui.internal.editor.extension.LocationEditorExtension"
            id="org.eclipse.hyades.test.ui.editor.extension.Location"
            extension="location">
      </editorExtension>
      <editorExtension
            name="%EDT_ARTIFACT_TTL"
            description="%EDT_ARTIFACT_DSC"
            class="org.eclipse.hyades.test.ui.internal.editor.extension.ArtifactEditorExtension"
            id="org.eclipse.hyades.test.ui.editor.extension.Artifact"
            extension="artifact">
      </editorExtension>
      <editorExtension
            name="%EDT_TST_SUITE_TTL"
            description="%EDT_TST_SUITE_DSC"
            class="org.eclipse.hyades.test.ui.editor.extension.TestSuiteEditorExtension"
            id="org.eclipse.hyades.test.ui.editor.extension.testsuite"
            extension="testsuite">
      </editorExtension>
   </extension>
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%TEST_PREF_PAGE"
            class="org.eclipse.hyades.test.ui.internal.preference.TestPreferencePage"
            id="org.eclipse.hyades.test.ui.internal.preference.TestPreferencePage">
      </page>
      <page
            name="%PRF_TST_SUITE_ASSOC"
            category="org.eclipse.hyades.test.ui.internal.preference.TestPreferencePage"
            class="org.eclipse.hyades.test.ui.internal.preference.TestSuiteAssociation"
            id="org.eclipse.hyades.test.ui.internal.preference.TestSuiteAssociation">
      </page>
      <page
            name="%preference.report.Title"
            category="org.eclipse.hyades.test.ui.internal.preference.TestPreferencePage"
            class="org.eclipse.hyades.test.ui.internal.preference.ReportGeneratorPage"
            id="org.eclipse.hyades.test.ui.internal.preference.ReportGeneratorPage">
      </page>
   </extension>
   <extension
         point="org.eclipse.ui.views">
      <category
            name="%W_TEST"
            id="org.eclipse.hyades.test.ui.views">
      </category>
      <view
            name="%TST_NAVIGATOR"
            icon="icons/full/cview16/testnavigator_view.gif"
            category="org.eclipse.hyades.test.ui.views"
            class="org.eclipse.hyades.test.ui.internal.navigator.TestNavigator"
            id="org.eclipse.hyades.test.ui.TestNavigator">
      </view>
   </extension>
   <extension
         point="org.eclipse.ui.perspectives">
      <perspective
            name="%PER_TST_NME"
            icon="icons/full/cview16/testpersp.gif"
            class="org.eclipse.hyades.test.ui.internal.navigator.TestPerspectiveFactory"
            id="org.eclipse.hyades.ui.perspective.TestPerspective">
      </perspective>
   </extension>
   <extension
         point="org.eclipse.ui.elementFactories">
      <factory
            class="org.eclipse.hyades.test.ui.internal.model.CMNNamedElementUtil$ElementFactory"
            id="org.eclipse.hyades.test.ui.internal.model.CMNNamedElementUtil$ElementFactory">
      </factory>
      <factory
            class="org.eclipse.hyades.test.ui.internal.model.ResourceUtil$ElementFactory"
            id="org.eclipse.hyades.test.ui.internal.model.ResourceUtil$ElementFactory">
      </factory>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.testNavigatorFile">
      <fileExtension
            targetExtension="testsuite">
         <converter
               class="org.eclipse.hyades.test.ui.internal.navigator.TestSuiteHTNConverter">
         </converter>
      </fileExtension>
      <fileExtension
            targetExtension="deploy">
         <provider
               class="org.eclipse.hyades.test.ui.internal.navigator.DeploymentHTNProvider">
         </provider>
      </fileExtension>
      <fileExtension
            targetExtension="execution">
         <provider
               class="org.eclipse.hyades.test.ui.internal.navigator.ExecutionHTNProvider">
         </provider>
      </fileExtension>
      <fileExtension
            targetExtension="datapool">
         <provider
               class="org.eclipse.hyades.test.ui.internal.navigator.DatapoolHTNProvider">
         </provider>
      </fileExtension>
      <fileExtension
            targetExtension="artifact">
         <provider
               class="org.eclipse.hyades.test.ui.internal.navigator.ArtifactHTNProvider">
         </provider>
      </fileExtension>
      <fileExtension
            targetExtension="location">
         <provider
               class="org.eclipse.hyades.test.ui.internal.navigator.LocationHTNProvider">
         </provider>
      </fileExtension>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.testNavigatorObject">
      <object
            targetObject="org.eclipse.hyades.models.common.testprofile.impl.TPFTestCaseImpl"
            provider="org.eclipse.hyades.test.ui.internal.navigator.TestCaseHTNProvider">
      </object>
      <object
            targetObject="org.eclipse.hyades.models.common.testprofile.impl.TPFTestSuiteImpl"
            provider="org.eclipse.hyades.test.ui.internal.navigator.TestSuiteHTNProvider">
      </object>
      <object
            targetObject="org.eclipse.hyades.models.common.testprofile.impl.TPFExecutionResultImpl"
            provider="org.eclipse.hyades.test.ui.internal.navigator.ExecutionResultHTNProvider">
      </object>
   </extension>
   <extension
         point="org.eclipse.ui.decorators">
      <decorator
            lightweight="true"
            location="BOTTOM_RIGHT"
            adaptable="true"
            label="Execution Verdict Decorator"
            state="true"
            class="org.eclipse.hyades.test.ui.internal.navigator.ExecutionHTNDecorator"
            id="org.eclipse.hyades.test.ui.internal.navigator.ExecutionHTNDecorator">
         <enablement>
            <objectClass
                  name="org.eclipse.hyades.models.common.testprofile.TPFExecutionResult">
            </objectClass>
         </enablement>
         <description>
            Adds an icon decoration in the Test Navigator to display the verdict of the execution result elements.
         </description>
      </decorator>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.configurableObjectExtension">
      <propertyGroupPage
            controlType="table"
            name="%W_ATTRIBUTES"
            id="org.eclipse.hyades.test.ui.editor.form.LocationAttributesForm"
            class="org.eclipse.hyades.test.ui.internal.editor.form.PropertyGroupForm"
            appliesTo="org.eclipse.hyades.models.common.configuration.CFGLocation"
            sectionClass="org.eclipse.hyades.test.ui.internal.editor.form.util.PropertyGroupTableSection"
            propertyGroupID="org.eclipse.hyades.test.configuration.location.attributes"
            addAction="org.eclipse.hyades.test.ui.internal.action.AddConfigPropertyAction"
            icon="icons/full/obj16/propertyGroup_obj.gif"
            description="%EDT_LOC_ATTRIBUTES_DSC">
      </propertyGroupPage>
      <propertyGroupPage
            controlType="table"
            name="%W_ATTRIBUTES"
            id="org.eclipse.hyades.test.ui.editor.form.ArtifactAttributesForm"
            class="org.eclipse.hyades.test.ui.internal.editor.form.PropertyGroupForm"
            appliesTo="org.eclipse.hyades.models.common.configuration.CFGArtifact"
            sectionClass="org.eclipse.hyades.test.ui.internal.editor.form.util.PropertyGroupTableSection"
            propertyGroupID="org.eclipse.hyades.test.configuration.artifact.attributes"
            addAction="org.eclipse.hyades.test.ui.internal.action.AddConfigPropertyAction"
            icon="icons/full/obj16/propertyGroup_obj.gif"
            description="%EDT_ART_ATTRIBUTES_DSC">
      </propertyGroupPage>
   </extension>
   <extension
         point="org.eclipse.debug.core.launchConfigurationTypes">
      <launchConfigurationType
            name="%LCFG_BASIC_LAUNCH_CONFIGURATION_TYPE_NAME"
            delegate="org.eclipse.hyades.test.ui.launch.delegates.BasicTestLaunchConfigurationDelegate"
            modes="run,debug,profile"
            public="true"
            id="org.eclipse.hyades.test.ui.launch.basicTest">
         <fileExtension
               default="true"
               extension="testsuite">
         </fileExtension>
      </launchConfigurationType>
   </extension>
   <extension
         point="org.eclipse.debug.ui.launchConfigurationTypeImages">
      <launchConfigurationTypeImage
            icon="icons/full/obj16/launch_testtype.gif"
            configTypeID="org.eclipse.hyades.test.ui.launch.basicTest"
            id="org.eclipse.hyades.test.ui.launch.basicTestImage">
      </launchConfigurationTypeImage>
   </extension>
   <extension
         point="org.eclipse.debug.ui.launchConfigurationTabGroups">
      <launchConfigurationTabGroup
            type="org.eclipse.hyades.test.ui.launch.basicTest"
            class="org.eclipse.hyades.test.ui.launch.tabGroups.BasicTestTabGroup"
            id="basicTestLaunchConfigTabGroup">
         <launchMode
               perspective="org.eclipse.hyades.ui.perspective.TestPerspective"
               mode="run">
         </launchMode>
         <launchMode
               perspective="org.eclipse.hyades.ui.perspective.TestPerspective"
               mode="debug">
         </launchMode>
         <launchMode
               perspective="org.eclipse.hyades.trace.internal.ui.tracePerspective"
               mode="profile">
         </launchMode>
      </launchConfigurationTabGroup>
   </extension>
   <extension
         point="org.eclipse.debug.ui.launchShortcuts">
      <shortcut
            label="%Shortcut.RunMenu"
            icon="icons/full/obj16/launch_shortcut.gif"
            modes="run"
            class="org.eclipse.hyades.test.ui.internal.launch.shortcuts.LaunchShortcut"
            id="basicTestLaunchConfigShortcut">
         <perspective
               id="org.eclipse.hyades.ui.perspective.TestPerspective">
         </perspective>
         <perspective
               id="org.eclipse.jdt.ui.JavaPerspective">
         </perspective>
         <perspective
               id="org.eclipse.jdt.ui.JavaHierarchyPerspective">
         </perspective>
         <perspective
               id="org.eclipse.jdt.ui.JavaBrowsingPerspective">
         </perspective>
         <perspective
               id="org.eclipse.debug.ui.DebugPerspective">
         </perspective>
         <perspective
               id="org.eclipse.ui.resourcePerspective">
         </perspective>
         <contextualLaunch>
            <enablement>
               <with
                     variable="selection">
                  <count
                        value="1">
                  </count>
                  <iterate>
                     <or>
                        <test
                              value="*.testsuite"
                              property="org.eclipse.debug.ui.matchesPattern">
                        </test>
                        <test
                              value="*.testcomponent"
                              property="org.eclipse.debug.ui.matchesPattern">
                        </test>
                     </or>
                     <test
                           value="true"
                           property="org.eclipse.hyades.test.ui.launch.isLaunchable">
                     </test>
                  </iterate>
               </with>
            </enablement>
            <contextLabel
                  label="%Shortcut.RunMenu"
                  mode="run">
            </contextLabel>
         </contextualLaunch>
      </shortcut>
   </extension>
   <extension
         point="org.eclipse.ui.exportWizards">
      <wizard
            name="%W_DATAPOOL"
            icon="icons/full/obj16/datapool_obj.gif"
            class="org.eclipse.hyades.test.ui.internal.wizard.DatapoolExportWizard"
            id="org.eclipse.hyades.test.ui.interal.wizard.DatapoolExportWizard">
         <description>
            %WIZ_EXP_DATAPOOL_DSC
         </description>
      </wizard>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.datapool.menuExtension">
      <menuItem
            vendorID="%HYADES"
            actionClass="org.eclipse.hyades.test.ui.internal.action.SelectDatapoolInNavigatorAction">
      </menuItem>
   </extension>
<!-- Extensions -->
   <extension
         point="org.eclipse.core.expressions.propertyTesters">
      <propertyTester
            properties="isLaunchable"
            namespace="org.eclipse.hyades.test.ui.launch"
            type="org.eclipse.core.resources.IFile"
            class="org.eclipse.hyades.test.ui.internal.launch.shortcuts.LaunchPropertyTester"
            id="org.eclipse.hyades.test.ui.filePropertyTester">
      </propertyTester>
      <propertyTester
            properties="isLaunchable"
            namespace="org.eclipse.hyades.test.ui.launch"
            type="org.eclipse.hyades.models.common.testprofile.TPFTest"
            class="org.eclipse.hyades.test.ui.internal.launch.shortcuts.LaunchPropertyTester"
            id="org.eclipse.hyades.test.ui.testPropertyTester">
      </propertyTester>
      <propertyTester
            properties="isLaunchable"
            namespace="org.eclipse.hyades.test.ui.launch"
            type="org.eclipse.hyades.models.common.testprofile.TPFTestComponent"
            class="org.eclipse.hyades.test.ui.internal.launch.shortcuts.LaunchPropertyTester"
            id="org.eclipse.hyades.test.ui.testComponentPropertyTester">
      </propertyTester>
   </extension>
   <extension
         point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension
            targetID="org.eclipse.hyades.ui.perspective.TestPerspective">
         <actionSet
               id="org.eclipse.debug.ui.launchActionSet">
         </actionSet>
      </perspectiveExtension>
   </extension>

</plugin>
